Version 6.x.x Source

Table Name: `tabAttendance`

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `attendance_details` | Section Break |  |
    Simple
2 | `naming_series` | Select | Series |
    ATT-
3 | `employee` | Link | Employee | Employee
4 | `employee_name` | Data | Employee Name |
5 | `status` | Select | Status |
    Present
    Absent
    Half Day
6 | `leave_type` | Link | Leave Type | Leave Type
7 | `column_break0` | Column Break |  |
8 | `att_date` | Date | Attendance Date |
9 | `fiscal_year` | Link | Fiscal Year | Fiscal Year
10 | `company` | Link | Company | Company
11 | `amended_from` | Link | Amended From | Attendance

### Controller

#### erpnext.hr.doctype.attendance.attendance

### Class Attendance

Inherits from frappe.model.document.Document

check_leave_record (self)

No docs

on_update (self)

No docs

validate (self)

No docs

validate_att_date (self)

No docs

validate_duplicate_record (self)

No docs

validate_employee (self)

No docs

#### Linked In:

- Attendance